Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDomEntityReference Class Reference
[XML module]

The QDomEntityReference class represents an XML entity reference. More...

`#include <qdom.h>`

Inherits QDomNode.

List of all member functions.

## Public Members

- QDomEntityReference ()
- QDomEntityReference ( const QDomEntityReference & x )
- QDomEntityReference & operator= ( const QDomEntityReference & x )
- ~QDomEntityReference ()
- virtual QDomNode::NodeType nodeType () const
- virtual bool isEntityReference () const

## Detailed Description

The QDomEntityReference class represents an XML entity reference.

A QDomEntityReference object may be inserted into the DOM tree when an entity reference is in the source document, or when the user wishes to insert an entity reference.

Note that character references and references to predefined entities are expanded by the XML processor so that characters are represented by their Unicode equivalent rather than by an entity reference.

Moreover, the XML processor may completely expand references to entities while building the DOM tree, instead of providing QDomEntityReference objects.

If it does provide such objects, then for a given entity reference node, it may be that there is no entity node representing the referenced entity; but if such an entity exists, then the child list of the entity reference node is the same as that of the entity node. As with the entity node, all descendents of the entity reference are read-only.

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

See also XML.

## Member Function Documentation

### QDomEntityReference::QDomEntityReference ()

Constructs an empty entity reference. Use QDomDocument::createEntityReference() to create a entity reference with content.

### QDomEntityReference::QDomEntityReference ( const QDomEntityReference & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomEntityReference::~QDomEntityReference ()

Destroys the object and frees its resources.

### bool QDomEntityReference::isEntityReference () const`[virtual]`

Returns TRUE.

Reimplemented from QDomNode.

### QDomNode::NodeType QDomEntityReference::nodeType () const`[virtual]`

Returns `EntityReference`.

Reimplemented from QDomNode.

### QDomEntityReference & QDomEntityReference::operator= ( const QDomEntityReference & x )

Assigns x to this entity reference.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.